'//*************************************************************
'//	BS Silver - Phần mềm quản lý kho chuyên nghiệp
'//	Version 2.0.3.036	    
'//	Updated: 04-06-2026 (dd-MM-yyyy) 	                
'//=============================================================
'//	Company: BLUESOFTS., jsc
'//	Website: www.bluesofts.net
'//	Email: sales@bluesofts.net HOẶC tuanktcdcn@yahoo.com
'//	Tel/Fax: (+84)243.791.7200 - Mobile: (+84)904.210.337
'//=============================================================
'//			   TÍNH NĂNG MỚI			                
'//=============================================================

v2.0.3.036: 04-06-2026

	+ Sửa: tính giá vốn chính xác hơn khi trong thiết lập tham số hệ thống chọn "Thực hiện quy trình phê duyệt chứng từ".
	+ Sửa: tính giá vốn chính xác hơn theo phương pháp FIFO khi mặt hàng nhập ở nhiều kỳ kinh doanh và nhiều kho khác nhau.

v2.0.3.035: 06-04-2026

	+ Sửa: lỗi "Báo cáo tổng hợp doanh thu theo hàng hóa bị lệch vị trí cột trên form hiển thị.

v2.0.3.034: 12-01-2026

	+ Sửa: lỗi báo cáo chi tiết theo lô và hạn sử dụng không hiển thị với số lượng tồn bị âm.

v2.0.3.033: 31-12-2025

	+ Sửa: lỗi không nhận đối tượng chọn nếu là lần đầu mở danh sách (mở ra từ bấm chuột vào nút bên phải mục nhập).
		(Lỗi này chỉ xuất hiện từ phiên bản v2.0.3.028)

v2.0.3.032: 24-12-2025

	+ Sửa: lỗi không tìm thấy mã hàng khi sửa lại mã hàng trong danh sách (grid) nhập mã hàng.
		Lỗi này chỉ xảy ra từ phiên bản 2.0.3.030 ngày 15-12-2025.

v2.0.3.031: 22-12-2025

	+ Nâng cấp: Quản lý bộ nhớ tốt hơn
	+ Nâng cấp: Tối hoàn thiện chức năng import lệnh nhập , lệnh xuất, phiếu nhập, phiếu xuất từ Excel vào phần mềm.

v2.0.3.030: 15-12-2025
	
	+ Sửa: lỗi nhập từ tập tin Excel
	+ Sửa: lỗi treo máy khi phiếu trống, bấm chuột vào danh sách.

v2.0.3.029: 12-12-2025


v2.0.3.028: 12-12-2025

	+ Sửa: thiết lập đơn vị quy đổi trong các phiếu chỉ áp dụng với công ty chọn "Đa đơn vị tính" trong thiết lập tham số hệ thống.
	+ Thêm: định dạng màu xám cho các cột không cho phép nhập liệu ở các phiếu.

v2.0.3.028: 11-12-2025
	
	+ Nâng cấp: tăng tốc độ mở danh sách các phiếu/chứng từ nhanh gấp 3 lần.
	+ Thêm: tính năng vừa nhập vừa tìm và lọc có ở các mục nhập mã/tên có trong danh mục.
		Tính năng này hoạt động khi người dùng nhập văn bản, nếu không tìm được ngay sẽ hiển thị cửa sổ có danh sách các đối tượng có tên hay thông tin gần giống. Ví dụ tìm khách hàng có thể nhập tên, địa chỉ, mã số thuế; tìm mặt hàng có thể tìm mã, tìm tên, đặc tính,... Tính năng này chạy rất nhanh dù dữ liệu nguồn hàng trăm ngàn dòng.
	+ Sửa: thao tác dịch chuyển ô soạn thảo trong grid thuận tiện hơn.
	+ Sửa: một vài lỗi nhỏ khác đã được sửa.

v2.0.3.027: 30-11-2025

v2.0.3.026: 27-11-2025

	+ Nâng cấp: các danh sách hiển thị cột "Số lượng" và "Số Tiền" có phần thập phân theo quy định:
		+ Cột "Số lượng" hiển thị thập phân theo thiết lập trong "Tham số hệ thống".
		+ Cột "Số tiền" hiển thị thập phân theo thiết lập của mã tiền tệ. 
		  Hệ thống lấy tối thiểu 2 đơn vị thập phân.

	+ Nâng cấp: tính năng "Copy dữ liệu" và "Xuất ra file Excel" từ danh sách dữ liệu lấy giá trị gốc.
		    Phiên bản cũ lấy theo giá trị hiển thị.

	+ Nâng cấp: Biểu đồ nâng cấp gồm:
		+ Cho phép làm trong theo hàng "ngàn", "triệu", "tỷ".
		+ Tùy chọn hiển thị số lượng hoặc giá trị.
		+ Khi chọn điều kiện biểu đồ vẽ ngay. 

v2.0.3.025: 26-11-2025	

	+ Nâng cấp: Nâng cấp về vẽ biểu đồ nhập xuất, vụ việc
		
		+ Tăng tốc độ vẽ biểu đồ nhiều lần.
		+ Thao tác chọn thời gian và điều kiện biểu độ vẽ ngay lập tức.
		+ Cung cấp chức năng lọc nhiều điều kiện: bấm vào nút "Lọc & Tùy chọn".
		  Với chức năng này bạn có thể lọc bất kỳ điều kiện gì để tổng hợp và vẽ biểu đồ.

	+ Nâng cấp: Tăng tốc độ và lưu điều kiện lọc cho các báo cáo sau:
		+ Báo cáo khách hàng đặt hàng
		+ Báo cáo đặt hàng nhà cung cấp.

v2.0.3.024: 20-11-2025

	+ Nâng cấp: các báo cáo dưới đây cho phép xem dạng bảng, nếu muốn in thì bấm Print.
		    (Phiên bản cũ chỉ ra chế độ xem in, in).
		    Từ màn hình này có thể trích lọc, tìm kiếm, xem ngược từ tổng hợp về chi tiết, 
		    từ chi tiết về các phiếu, chỉ cần nhấp đúp chuột vào dòng đối tượng.

		+ Báo cáo tổng hợp công nợ phải thu
		+ Báo cáo tổng hợp công nợ phải trả
		+ Báo cáo tổng hợp tạm ứng
		+ Báo cáo chi tiết công nợ phải thu
		+ Báo cáo chi tiết công nợ phải trả
		+ Báo cáo chi tiết tạm ứng
		+ Sổ kế toán chi tiết tài khoản
		+ Sổ kế toán chi tiết tài khoản hàng tồn kho
		+ Sổ quỹ		
		+ Bảng cân đối tài khoản
		+ Sổ cái
		+ Tổng hợp doanh thu
		+ Chi tiết doanh thu
		+ Thẻ vật tư
		+ Báo cáo chi tiết lệnh nhập
		+ Báo cáo chi tiết lệnh xuất
		+ Báo cáo tổng hợp lệnh nhập
		+ Báo cáo tổng hợp lệnh xuất
		+ Báo cáo tổng hợp vụ việc: nâng cấp xem Chí phí và Lợi nhuận
		+ Báo cáo chi tiết vụ việc: nâng cấp xem Chí phí và Lợi nhuận
		+ Báo cáo tổng hợp hàng hóa, vật tư xuất theo vụ việc
		+ Báo cáo chi tiết hóa, vật tư xuất theo vụ việc.
		(Báo cáo này mở khi nhấp đúp chuột vào dòng vụ việc trên báo cáo "Báo cáo tổng hợp hàng hóa, vật tư xuất theo vụ việc".

	+ Nâng cấp: tăng tốc độ các báo cáo:
		+ Chi tiết hàng nhập
		+ Chi tiết hàng xuất
		+ Thẻ kho vật tư

	+ Sửa: sửa các báo cáo sau bị mất trạng thái nút cuộn khi lần đầu mở
		+ Chi tiết hàng nhập
		+ Chi tiết hàng xuất

v2.0.3.023: 20-11-2025

v2.0.3.022: 15-11-2025

	+ Nâng cấp: tăng tốc độ các báo cáo liên quan đến nhập xuất tồn lên nhiều lần.
	+ Nâng cấp: các báo cáo dưới đây cho phép xem dạng bảng, nếu muốn in thì bấm Print.
		    (Phiên bản cũ chỉ ra chế độ xem in, in).
		    Từ màn hình này có thể trích lọc, tìm kiếm, xem ngược từ tổng hợp về chi tiết, 
		    từ chi tiết về các phiếu, chỉ cần nhấp đúp chuột vào dòng đối tượng.

		+ Báo cáo "Tổng hợp Nhập - Xuất - Tồn" (nhóm báo cáo tổng hợp)
		+ Báo cáo "Thẻ kho" (nhóm báo cáo chi tiết)

		+ Báo cáo "Chi tiết hàng nhập" (nhóm báo cáo chi tiết)
		+ Báo cáo "Chi tiết hàng xuất" (nhóm báo cáo chi tiết)

		Lưu ý: với các danh sách, nhấp chuột phải chọn "Xuất ra Excel" bạn sẽ nhận được file Excel chứa dữ liệu trong danh sách này.

v2.0.3.021: 14-11-2025

v2.0.3.020: 05-11-2025

	+ Nâng cấp: cho phép mở nhiều cửa sổ chi tiết cùng một lúc.
			- Một danh sách mở màn hình chi tiết, chỉ cần nhấp đúp chuột vào phiếu ở danh sách là mở tiếp không cần phải đóng cửa sổ trước.
			- Đang ở màn hình chi tiết danh sách A có thể bấm mở danh sách B để mở chi tiết. Phiên bản cũ phải đóng màn hình chi tiết mở mở danh sách khác.

	+ Nâng cấp: trong các danh sách dòng đầu tiên cho phép nhập giá trị ở các cột rồi nhấn phím ENTER để lọc. Lọc nhiều cột. Chit chạy đúng khi bấm chọn "Lọc:".
	
	+ Nâng cấp: trong danh sách vào tùy chọn, bật tắt chế độ chọn cả dòng hay chọn ô. Tính năng này thuận tiện để copy một vùng.

	+ Sửa: khắc phục lỗi tràn bộ nhớ khi sử dụng lâu.

v2.0.3.019: 24-05-2025
	
	+ Nâng cấp: cho phép nhập (import) các phiếu từ Excel. Các mẫu Excel trong thư mục cài đặt "Template", gồm:
		\Template\SILVER LENH NHẬP.xlsx (dùng trong form lệnh nhập)
		\Template\SILVER LENH XUẤT.xlsx (dùng trong form lệnh xuất)
		\Template\SILVER PHIẾU NHẬP.xlsx (dùng trong form phiếu nhập)
		\Template\SILVER PHIẾU XUẤT.xlsx (dùng trong form phiếu xuất)

v2.0.3.018: 31-03-2025

	+ Sửa: Trong phiếu nhập, xuất, mua, bán không lấy thông tin về hệ số quy đổi của mặt hàng phía trên. Phiên bản cũ lấy -> sai nếu các mặt hàng có định nghĩa đa đơn vị tính khác nhau.

v2.0.3.017: 07-02-2025

	+ Sửa: lỗi tính lại giá vốn nếu nhập đơn giá tồn đầu mặt hàng là 0.

v2.0.3.016: 03-10-2024

	+ Sửa: lỗi nhập danh mục hàng từ tập tin Excel nếu các cột số liệu không nhập gì cả. Phiên bản cũ nếu không có phải nhập số 0. Phiên bản mới không yêu cầu.

v2.0.3.015: 23-05-2024
	+ Sửa: Phân quyền thời gian cho phép sửa phiếu lỗi khi check mục "Sửa chứng từ của nhóm khác".
	+ Sửa: Hàm tính tồn kho trên phiếu sai nếu Hệ thống thiết lập chọn "Thực hiện quy trình phê duyệt chứng từ", khi phiếu chưa chọn "Đã duyệt".
	+ Nâng cấp: Hỏi người dùng trước khi chạy "Sửa dữ liệu".

v2.0.3.014: 10-05-2024
	+ Sửa: Sửa lại quy tắc phân quyền, kiểm tra quyền chặt chẽ hơn.
	+ Sửa: Lỗi thông báo khi xuất âm. Tình huống khi mở chứng từ đã nhập, thông báo nếu có số lượng xuất âm và không đặt con trỏ để sửa lại được hay di chuyển con trỏ ra nơi khác.
	+ Nâng cấp: thêm các đối tượng tạo QRcode thuộc nhóm "BS Barcode" trong báo cáo, cho phép nhiều loại thiết bị di động quét được mã vạch này.
	+ Nâng cấp: cập nhật các mẫu phiếu in trong các form nhập chứng từ.
	+ Thêm: Thêm đối tượng tạo QRcode cho Napas247 trong báo cáo thuận tiện hơn dùng hàm "GenNapas247Text" ở phiên bản trước.

v2.0.3.013: 24-04-2024
	+ Sửa: lỗi mục chọn danh sách lần đầu nếu không đặt con trỏ ở mục nhập liệu. Lỗi này chỉ xảy ra ở những phiên bản gần đây.

v2.0.3.012: 08-04-2024
	+ Sửa: lỗi các báo cáo "Báo cáo dự định mua hàng", "Báo cáo hàng cần hủy", "Báo cáo hàng trả lại" khi bỏ chọn "Đa đơn vị tính" trong thiết lập "Tham số hệ thống".

v2.0.3.011: 31-01-2024
	+ Sửa: lỗi chuyển kỳ nếu trong "Thiết lập hệ thống" chọn "Quản lý đa đơn vị tính".
	+ Sửa: mục nhập tên khách hàng, tên nhà cung cấp, tên nhân viên trên các phiếu nếu tên có trong tên của những người khác.
	+ Sửa: cập nhật chế độ lọc trong danh sách ngay khi tick chọn "Lọc:".
	+ Sửa: danh sách các chứng từ theo nhóm được sắp xếp theo thứ tự được tạo. Phiên bản cũ sắp xếp theo số chứng từ.

v2.0.3.010: 18-01-2024
	+ Nâng cấp: màn hình chi tiết của hàng hóa hiển thị tồn kho theo từng kho, lô, bao gói.
		Phiên bản cũ chỉ cho biết tổng tồn.
	+ Nâng cấp: màn hình nghiệp vụ kiểm kê được cải tiến phù hợp hơn.
	+ Nâng cấp: Các cột "LÔ", "HẠN SỬ DỤNG", "VỤ VIỆC" tự động mở trong các màn hình tạo phiếu nếu trong "Thiết lập hệ thống" -> "Nghiệp vụ" tick chọn các loại nghiệp vụ đó.

v2.0.3.009: 16-01-2024
	+ Sửa: lỗi tạo mã đối tượng trong các danh mục. Lỗi này chỉ xuất hiện trong phiên bản gần đây là v2.0.3.008.

v2.0.3.008: 12-01-2024
	+ Sửa: hiển thị danh sách các chứng từ "Kiểm kê - Tồn cuối" các phiên bản mới gần đây menu này bị ẩn.
	+ Nâng cấp: cho phép "Khóa sổ". Một kỳ mà đặt trạng thái "Khóa sổ" thì tất cả các chứng từ trong kỳ đó sẽ không Thêm/Sửa/Xóa được. Các danh mục vẫn cập nhật được.
	Để thiết lập "Khóa sổ", mở màn hình chi tiết kỳ bạn cần khóa, tick chọn "Khóa sổ" rồi lưu.

v2.0.3.007: 05-01-2024
	+ Sửa: chuyển kỳ bóc tách dữ liệu theo công ty. Trong một CSDL, làm việc công ty nào thì chỉ chuyển kỳ của công ty đó.
	+ Nâng cấp: khi import dữ liệu từ file Excel, dữ liệu ở cột tên lô nếu có giá trị trống sẽ được nhập vào là NULL. Trong menu "Thiết lập tham số hệ thống", chạy "Kiểm tra/sửa dữ liệu hợp lệ" phần mềm sẽ tự sửa những dữ liệu "Lô" có chuỗi rỗng thành NULL.

v2.0.3.006: 08-11-2023
	+ Nâng cấp: hỗ trợ tạo mã QRcode thanh toán nhanh NAPAS247 trên các hóa đơn.
		Để thực hiện chức năng này bạn cần làm các bước:
		+ Vào "Thông tin công ty", tạo tài khoản ngân hàng.
		+ Trong các báo cáo/phiếu in, vào chế độ "Sửa"
			Thêm đối tượng QRcode vào form
			Chọn đối tượng QRCode trên form, tại cửa sổ "Object Inspector" vào tab Properties, tìm đến thành phần "Expression" nhập công thức tạo mã Napas247. 
			Ví dụ:
			GenNapas247Text('970436','0491000093355',680000,'THHANH TOAN A-TOOLS')
			Liên kết các trường trong phiếu in là:
			GenNapas247Text(<frxCompany."BANK_BIN">,<frxCompany."BANK_ACCOUNTCODE">,<frxDBNX."PAYMENT">,RemoveMark(<frxDBNX."OBJECTNAME">))
			(Hàm RemoveMark() là loại bỏ dấu của ký tự có dấu)
	
	+ Nâng cấp: Thêm các hàm trong báo cáo, gồm:
		- GenNapas247Text(): tạo mã cho Napas247. Phục vụ in QRcode.
		- RemoveMark(): loại bỏ dấu các ký tự có dấu.	
	+ Nâng cấp: cho phép hiện thị ảnh từ danh mục hàng trên các phiếu in.

	+ Sửa: không hiển thị mặt hàng trong các hóa đơn mua, bán không tự động tọa phiếu nhập, xuất.
	+ Sửa: các báo caó bị lỗi từ các phiên bản trước được sửa và tăng tốc độ.

v2.0.3.005: 27-10-2023
	+ Nâng cấp: tất cả các form nhập chứng từ - phiếu đều cung cấp menu in ấn.
	+ Nâng cấp: không hiển thị mục "Phê duyệt" trên: chứng từ, danh sách các chứng từ, menu chuột phải nếu trong thiết lập Tham số hệ thống không chọn "Thực hiện quy trình phê duyệt chứng từ"

v2.0.3.004: 14-10-2023
	+ Nâng cấp: hiển thị thanh trạng thái trên các form chứng từ/phiếu, form chi tiết danh 		mục, các thông tin hiển thị gồm: "User tạo", "Thời gian tạo", "Thời gian sửa".
		(Bạn chỉ thấy với các đối tượng tạo, sửa từ phiên bản 2.0.3.004.

	+ Nâng cấp: mẫu sửa chứng từ thêm đầy đủ thông tin liên quan đến dòng hàng.
	+ Nâng cấp: bổ sung các hàm trong thiết kế mẫu in. Các hàm: VND, USD (đọc số thành chữ Việt, Anh), ReplaceStr - Tìm và thay thế văn bản.
	+ Nâng cấp: hiển thị icon trên menu chuột phải ở các màn hình chứa danh sách đối tượng.

v2.0.3.003: 07-10-2023
	+ Sửa: một vài lỗi nhỏ form thông tin hàng hóa.
	+ Sửa: căn chỉnh lại vị trí các điều khiển trong form danh sách.
	+ Sửa: căn chỉnh thông tin "Tổng cộng:" luốn bên phải trong form danh sách hóa đơn.
	+ Nâng cấp: tăng tốc độ mở form mua hàng, bán hàng, nhập kho, xuất kho, thông tin hàng hóa.
	+ Nâng cấp: cho phép in hóa đơn mua, bán dịch vụ.
	+ Nâng cấp: các mục nhập tên nhà cung cấp, khách hàng, nhân viên cho phép gõ từ bất kyfm nhấn Tab phần mềm sẽ tìm trả về kết quả ngay, nếu không tìm được sẽ hiển thị danh sách tìm kiếm.
		    (Phiên bản cũ tìm từ trái sang phải và gợi ý.)	

v2.0.3.002: 02-10-2023
	+ Sửa: lỗi yêu cầu đăng ký bản quyền khi sửa mẫu in barcode, QRCode.
	+ Sửa: lỗi tìm kiếm trong các danh sách khi mục tìm kiếm chọn "<<CÁC CỘT>>".
		(Lỗi chỉ xảy ra nếu chưa bấm chuột vào chọn "<<CÁC CỘT>>".)

v2.0.3.001: 30-09-2023
	+ Sửa: Lỗi liên quan đến nhận dữ liệu từ lệnh nhập, xuất.

v2.0.3.000: 26-09-2023
	+ Thêm: Tùy chọn không tự động tạo phiếu nhập xuất khi tạo phiếu mua bán hàng.
	+ Thêm: Tùy chọn "Chỉ quản lý số lượng". Nếu được chọn, hệ thống không tính giá vốn xuất kho.
	(Các tùy chọn trên trong menu "Thiết lập"->"Tham số hệ thống".)
	+ Nâng cấp: Thêm phương thức đăng ký bản quyền online.
	+ Nâng cấp: Tăng tốc độ rất nhiều lần khi chọn mặt hàng trong phiếu xuất hàng, bán hàng.
	+ Nâng cấp: Copy giá trị lô ở dòng trên vào dòng hàng mới.
	+ Sửa: vị trí form được hiển thị chính giữa màn hình khi Windows thiết lập chia 2 màn hình.
	+ Sửa: lỗi hiển thị sai danh sách vụ việc khi bấm chuột vào nút DropDown.

v2.0.2.044: 06-09-2022
	+ Sửa: lỗi chuyển kỳ mới.
	

v2.0.2.043: 06-06-2022
	+ Sửa: lỗi form "Phiếu thu", "Phiếu chi".
	+ Thêm: biến hệ thống PERCHASER_SELLER (lưu tên người mua, bán), EMP_LOGIN (lưu tên nhân viên login)
	+ Sửa: cho phép sửa người mua, người bán trong hóa đơn bán lẻ.

v2.0.2.042: 24-09-2021
	+ Sửa: lỗi in mã vạch từ các phiếu nhập hàng.

v2.0.2.041: 15-04-2021
	+ Nâng cấp: Cho phép tùy chỉnh cách tìm kiếm mã hàng, đối tượng chi phí: trái sang phải; cứa trong; phải sang trái.
		 Vào menu "Thiết lập" -> "Tham số hệ thống"->"System" để thiết lập.

v2.0.2.040: 25-03-2021
	+ Sửa: Màn hình danh mục hàng định dạng số lượng hàng nhầm sang tiền tệ. Sửa lại theo thiết lập số lượng.
	+ Sửa: Lỗi hiển thị màn hình thiết lập công ty, chọn kỳ khi có ít nhất một danh sách đang mở tại màn hình.

v2.0.2.039: 11-12-2020
	+ Nâng cấp: các form hiển thị tương thích với các màn hình có độ phân giải cao, đặc biệt trên 2K, Scale and Layout > 100%

v2.0.2.038: 05-11-2020
	+ Sửa: lỗi cấu trúc tblbarcode: ITEM_NAME (50->255)

v2.0.2.037: 10-09-2020
	+ Sửa: lỗi cấu trúc tblbarcode: ITEM_ID


v2.0.2.036: 23-06-2020
	+ Sửa: lỗi hiển thị thành tiền phiếu nhập, xuất kho khi mở lại
	+ Sửa: tính chiết khấu theo % ở hóa đơn mua bán hàng
	+ Sửa: lỗi không hiển thị tên kho trong mẫu in phiếu điều chuyển
	+ Nâng cấp: cho phép hiển thị tên người tạo phiếu trong mẫu in phiếu
	+ Nâng cấp: cho phép hiển thị tên thủ kho theo tưng kho trong mẫu in phiếu
	+ Nâng cấp: trong màn hình danh sách, ở chế độ chọn nhiều dòng, nhấp chuột phải thêm lệnh "Hủy chọn" giúp tốc độ xử lý nhanh hơn.
	+ Thêm: thêm tùy chọn thời gian ngưng khi gõ ký tự tìm kiếm trong menu "Thiết lập"->"Tham số hệ thống" vào Tab "SYSTEM"	
	(*) Phiên bản mới download tại: 
		http://www.bluesofts.net/giai-phap-phan-mem/bs-silver-phan-mem-quan-ly-kho.html

v2.0.2.035: 22-03-2019
	+ Sửa: lỗi tạo CSDL mới.

v2.0.2.034: 19-02-2019
	+ Sửa: lỗi chọn năm trong bảng lọc báo cáo.
	+ Sửa: lỗi khi xem báo cáo lọc theo bộ phận, nếu tên bộ phận có dấu phảy (,)

v2.0.2.033: 01-02-2019
	+ Nâng cấp nhiều tính năng mới. Thông tin chi tiết tại:
		http://www.bluesofts.net/giai-phap-phan-mem/bs-silver-phan-mem-quan-ly-kho.html

v2.0.2.032: 17-04-2018
	+ Nâng cấp nhiều tính năng mới. Thông tin chi tiết tại:
		http://www.bluesofts.net/giai-phap-phan-mem/bs-silver-phan-mem-quan-ly-kho.html

v2.0.2.030: 13-01-2018
	+ Sửa: lỗi tạo mã hàng.	


v2.0.2.029: 20-09-2017

	+ Nâng cấp: Cho phép tùy chỉnh số tháng trong một kỳ làm việc. Vào menu "Dữ liệu"->"Chọn kỳ làm việc", chọn một kỳ cần sửa, chọn "Xem/Sửa".
	+ Nâng cấp: Cho phpes ghi chép chứng từ, báo cáo với số tháng làm việc > 12.


v2.0.2.028: 14-08-2017
	+ Thêm: Hiển thị menu "Danh mục Phương tiện vận chuyển"
	+ Thêm: Cho phép lập kế hoạch nhập, xuất cho từng mã hàng. Mở danh mục hàng, mở một mã xem chi tiết, chọn tab "KẾ HOẠCH" phía cuối là có thể lập kế hoạch theo năm, tháng, ngày cho hai việc nhập, xuất.


v2.0.2.027: 05-06-2017
	+ Sửa một lỗi nhỏ...

v2.0.2.026: 23-03-2017
	+ Sửa: lỗi tính tồn kho với mặt hàng có phương pháp tính giá xuất kho đích danh nếu không nhập vị trí
	+ Sửa: lỗi hiển thị dòng hàng trong lệnh nhập hàng, lệnh xuất hàng
	+ Nâng cấp: các màn hình nhập liệu dưới danh sách (grid) thêm 2 nút [+] thêm dòng, [-] - xóa dòng hàng.

v2.0.2.025: 22-02-2017
	+ Sửa: một số lỗi khi chọn nhiều mặt hàng khi xuất theo lô
	+ Sửa: đánh số phiếu không đúng khi hàng mua, bán trả lại
	+ Nâng cấp: cho phép nhập nhiều mặt hàng trong lệnh nhập, lệnh xuất
	+ Nâng cấp: cho phép xem báo cáo nhiều kỳ gộp lại. Phiên bản cũ xem từng kỳ riêng biệt.

v2.0.2.024: 18-02-2017

v2.0.2.023: 26-01-2017
	+ Sửa: tăng độ rộng của cột "LÔ" trong "Báo cáo tồn kho theo lô".
	+ Sửa: lỗi nhập một mặt hàng trùng nhau khi sửa chứng từ.
	+ Nâng cấp: TỐC ĐỘ mở màn hình chứng từ NHANH GẤP NHIỀU LẦN so với các phiên bản cũ. 
	                  Ngày của màn hình lọc chứng từ ngầm định lấy ngày hiện tại. Người dùng có thể thay đổi ngày rồi "Cập nhật"...

v2.0.2.022: 04-11-2016
	+ Sửa: lỗi khi nhập, xuất hàng tên LÔ có ký tự %
	+ Sửa: lỗi khi xóa đối tượng danh mục mà có quan hệ theo công ty.
	+ Nâng cấp: Thêm 4 báo cáo theo lô và vị trí trong "Thẻ Kho"

v2.0.2.021: 28-10-2016

v2.0.2.020: 26-10-2016
	+ Nâng cấp: Tốc độ xem các báo cáo tổng hợp nhanh hơn nhiều lần phiên bản cũ
	+ Nâng cấp: Chức năng tạo nhóm/quyền thuận tiện hơn. Tại màn hình thiết lập nhóm/quyền, cho phép chỉ định cho công ty, kho, copy mẫu màn hình nhập liệu từ thiết lập của nhóm khác
	+ Nâng cấp: Cho phép đối kiểu quét mã vạch: Mã vạch quét theo "Mã hàng" hoặc "Mã nhà SX". Vào menu Công cụ - > Tham số hệ thống, chọn hoặc bỏ chọn "Mã vạch theo mã hàng".
	+ Sửa: Lỗi hiển thị số tồn trong danh sách hàng nếu CSDL thiết lập quản lý theo lô.
	+ Sửa: Lỗi hiển thị thông báo kết nối khi khôi phục CSDL cũ.

v2.0.2.019: 26-10-2016
	+ Sửa: Lỗi tính số tồn khi chọn hàng trong các màn hình nhập, xuất
	
v2.0.2.018: 18-09-2016

v2.0.2.017: 12-09-2016

v2.0.2.016: 08-09-2016
	+ Nâng cấp: Cho phép nhập danh mục "Vụ việc" từ tập tin Excel
	+ Nâng cấp: Cho phép nhập kho tồn đầu từ tập tin Excel với các thông tin về Vụ việc, Lô sản xuất, Hạn sử dụng

v2.0.2.015: 15-03-2016
	+ Sửa: cách làm trong số tiền trên mẫu nhập phiếu
	+ Nâng cấp: tăng tính năng trích lọc dữ liệu linh hoạt và đầy đủ hơn.	

v2.0.2.014: 06-03-2016

v2.0.2.013: 26-01-2016
	+ Sửa: lỗi trong cách làm tròn hệ số quy đổi khi thay đổi đơn vị tiền tệ mà nó không có phần thập phân (như "đồng")
	+ Thêm: cho phép hiển thị đơn vị (khách hàng, nhà cùng cấp) trong báo cáo nếu chọn lọc theo đơn vị.

v2.0.2.010: 10-01-2016
	+ Thêm: cho phép chuyển kỳ, tính tồn kho theo từng kho, vị trí, lô, nhà cung cấp, khách hàng
	+ Sửa: chuyển kỳ cho các sản phẩm có lo, vị trí, vụ việc
	+ Sửa: cột đơn giá trong màn hình "Tồn đầu" kho luôn hiển thị 4 đơn vị thập phân.


v2.0.2.009: 24-12-2015
	+ Thêm: hệ thống báo cáo lệnh xuất hàng
	+ Thêm: hệ thống báo cáo tồn cuối theo vị trí, lô, hạn sửa dụng
	+ Sửa: bác cáo các loại hàng tồn
	+ Sửa: lỗi phân quyền	

v2.0.2: 10-08-2015
	+ Thêm: Giao diện màn hình chính của phần mềm hiển thị thông tin công ty đang làm việc
	+ Thêm: Cho phép quản lý danh sách công ty (các chi nhánh, công ty thành viên), lựa chọn công ty để làm việc từ danh sách (phiên bản cũ chỉ làm việc với một công ty).
	+ Thêm: Tổ chức dữ liệu trong CSDL theo cấp các công ty. Từ cấp tổng công ty đến các công ty thành viên, chi nhánh.
	+ Thêm: Cho phép phân chia dữ liệu trong các danh mục (kho, khách hàng, nhà cung cấp, nhân viên,...) theo công ty thành viên hoặc xem chung trong tổng công ty.
		Để cho phép phân chia danh mục nào, vào menu "Thiết Lập", "Thiết lập danh mục". 
		Tại màn hình hiện ra, ở cột "NHẬP THEO CÔNG TY", nếu chọn thì danh mục đó sẽ được quản lý theo mỗi công ty khi đăng nhập chứ không hiện trong trong tổng công ty.
	+ Thêm: Phân quyền quản lý mã kho cho từng nhóm, những nhóm có quyền quản lý kho nào thì được xem dữ liệu kho đó.
	+ Thêm: Các báo cáo được lập tách theo các công ty thành viên hoặc gộp của nhiều công ty.
	+ Thêm: Báo cáo tồn kho cho phép xem tồn theo nhóm hành từ một đến nhiều kho. Cho phép quy đổi đơn vị tính tính.
	+ Thêm: Cho phép hiện và quy đổi đơn vị tính ngay trên các form nhập phiếu
	+ Thêm: Quản lý ca làm việc. Để sử dụng, vào menu "Thiết Lập", "Tham số hệ thống", chọn chức năng "Quản lý ca làm việc"
	+ Thêm: Thêm các điều kiện để lọc báo cáo, số liệu. Các mục được thêm cho việc lọc : Công ty, Kỳ làm việc, Người truy cập, Nhân viên.
	+ Sửa: Cập nhật số lượng tồn kho khi chọn mặt hàng trên các phiếu
	+ Sửa: Lỗi liên quan đến đơn vị quy đổi trên một số báo cáo chưa được tính
	+ Sửa: Nhiều lỗi tồn tại trong phiên bản 2.0.0 đã được sửa trong phiên bản này.
	
	Nâng cấp phần mềm quản lý kho BS Silver tại http://bluesofts.net

v2.0.1: 10-06-2015
	
v2.0.0: 01-06-2015
	+ Thêm: Tích hợp với máy kiểm kê giúp cho việc kiểm kê cuối kỳ nhanh và đảm bảo chính xác hơn.
	+ Thêm: Các phiếu nhập, xuất, bán hàng tích hợp máy quét mã vạch giúp việc gọi hàng hoá vật tư nhanh và chính xác.
	+ Thêm: Cho phép quản lý hàng hóa theo đa đơn vị tính. Nhập hàng vào một đơn vị, xuất có thể một đơn vị tính khác.
	+ Thêm: Quản lý hàng hóa theo lô, hạn sử dụng
	+ Thêm: Quản lý hàng hóa theo theo vị trí trong kho
	+ Thêm: Quản lý hàng hóa đặc thù theo hàng xăng dầu
	+ Thêm: Quản lý hàng hóa đặc thù theo ngành hàng thuốc chữa bệnh, thực phẩm
	+ Thêm: Danh mục hàng được phân loại theo tính chất: hàng hóa, thành phẩm, công cụ dụng cụ, nguyên vật liệu. Người dùng có thể định nghĩa thêm.
	+ Thêm: Thao tác phân quyền nhanh và linh hoạt hơn. 
	+ Thêm: Phân quyền cho phép ẩn hiện menu
	+ Thêm: Người phân quyền chỉ được phân quyền theo các chức năng mà mình có quyền trong nhóm
	+ Thêm: Nhiều báo cáo quản lý kho, bán hàng được thêm trong phiên bản này.
	+ Thêm: Cho phép copy đối tượng trong các danh mục. Để thực hiện, vào danh mục bất kỳ, mở một đối tượng, chọn nút "Sao chép" để copy đối tượng.
	+ Thêm: Trong các phiếu nhập, xuất cho phép chọn một lúc nhiều mã hàng hóa, vật tư vào phiếu nhanh chóng.

	Còn nhiều tính năng quan khác các bạn có thể xem chi tiết tại http://bluesofts.net

v1.1.9: 20-09-2014
	+ Thêm: cho phép nhập mã vụ việc trong mẫu nhập tồn đầu.
	+ Thêm: cho phép nhập hàng từ file Excel trong các màn hình nhập xuất hàng hóa, vật tư.
	+ Nâng cấp: cho phép tùy chọn bắt buộc hay không nhập mã vụ việc trong các hóa đơn, phiếu nhập, xuất.

v1.1.8: 12-05-2014
	+ Nâng cấp một số tính năng hệ thống.

v1.1.7: 11-04-2014
	+ Thêm: lệnh nhập hàng
	+ Thêm: lệnh xuất hàng
	+ Thêm: xuất hao hụt
	+ Thêm: bảng kê hao hụt theo phương tiện vận chuyển
	+ Thêm: báo cáo xuất nhập tồn có tính hao hụt
	+ Nâng cấp: cho phép xóa một hoặc nhiều đối tượng danh mục, chứng từ

v1.1.6: 20-03-2014
	+ Nâng cấp: Chức năng tự động tính lại giá xuất kho tốc độ nhanh hơn, cho phép tự động tính lại giá vốn cho một hoặc nhiều mặt hàng, theo các khoảng thời gian tùy ý.
	+ Sửa: các thông tin về tập in báo cáo về PTVC

v1.1.5: 16-01-2014

v1.1.4: 01-01-2014

v1.1.3: 11-12-2013
	+ Sửa: sửa một vài mã hàng và chứng từ thiếu thông tin
	+ Sửa: công cụ chuyển đổi tập tin Excel của báo cáo TH N-X-T sang định dạng người dùng
	+ Sửa: tốc độ mở và tạo chứng từ mới nhanh hơn khi CSDL lớn.
	+ Thêm: quản lý nhập, xuất vật tư hàng hóa theo phương tiện vận chuyển
	+ Thêm: bổ sung menu "Chọn kỳ làm việc" trong menu "Dữ liệu".
	+ Thêm: tất cả các báo cáo, danh sách chứng từ đều cho phép lọc một hay nhiều mã đối tượng khác nhau như các mã: vụ việc, bộ phận, kho, hàng hóa, nhóm hàng, khách hàng, nhà cung cấp, nhân viên, phương tiện vận chuyển.

	Thông tin chi tiết tại: www.bluesofts.net

v1.1.2: 30-11-2013
	+ Sửa: tăng tốc độ tính toán sổ tổng hợp N-X-T
	+ Sửa: tăng tốc độ mở các màn hình có danh sách chứng từ

	Thông tin chi tiết tại: www.bluesofts.net

v1.1.1: 10-10-2013
	+ Thêm: báo cáo chi tiết chứng từ nhập, xuất
	+ Thêm: nhập/import phiếu nhập, phiếu xuất từ tập tin Excel
	+ Sửa: một số lỗi xuất hiện trong phiên bản 1.1.0

	Thông tin chi tiết tại: www.bluesofts.net

v1.1.0: 09-09-2013
	+ Thêm: chức năng chỉnh tham số hệ thống:
		- cho phép tùy chỉnh số lẻ của số lượng hàng hóa
		- cho phép tùy chỉnh định dạng số tiền
		- cho phép tùy chỉnh định dạng ngày tháng
	(menu: Thiết lập->Thiết lập tham số hệ thống)
	+ Thêm: chức năng sửa lại phương pháp tính giá vốn trong dang mục hàng
	(menu: Công cụ->Sửa, tính lại giá vốn)
	+ Thêm: chức năng thêm mới, xóa các báo cáo theo báo cáo chuẩn của hệ thống. Ví dụ mở "Thẻ kho" có thể tùy chọn: thẻ kho chỉ có số lượng, thẻ kho có giá vốn, thẻ kho chỉ có doanh thu,....
	(menu: trong các báo cáo, phần "TÙY CHỌN")
	+ Thêm: thẻ kho xem theo giá vốn
	+ Sửa: sửa định dạng một số báo cáo, các cột số lượng, tiền hiển thị rộng hơn.
	+ Sửa: lựa chọn phương pháp tính giá vốn khi nhập dữ liệu từ tập tin (Excel) bên ngoài khi tạo tồn đầu hàng hóa.

	Thông tin chi tiết tại: www.bluesofts.net

v1.0.9: 05-09-2013
	+ Thêm: trong các màn hình có thêm chức năng lọc giống Auto Filter của Excel, sắp xếp theo cột
		Ví dụ trong danh mục hàng hóa, chọn "Xem tồn kho", "Lọc":
		- Chọn cột "TỒN KHO", gõ ">10" sẽ lọc ra các mặt hàng có số lượng tồn kho > 10
		- Chọn cột "TỒN KHO", gõ ">10 & <50"  sẽ lọc ra các mặt hàng có số lượng tồn kho > 10 và < 50 
		- Chọn cột "MÃ", gõ "SUMI" sẽ lọc ra các mặt hàng mà mã hàng có chứa từ "SUMI"
		- Nhấp cuột vào cột "TÊN" sẽ sắp xếp tên hàng tăng/giảm dần
	+ Thêm: trong các màn hình chứng từ cho phép lọc thời gian theo: khoảng ngày, tháng, quý, năm
	+ Thêm: trong các màn hình có thêm chức năng tìm kiếm, tô sáng giá trị tìm được
	+ Thêm: trong các màn hình danh mục hàng có thêm cột "CẦN ĐẶT THÊM" thông báo số lượng hàng cần phải mua thêm và được tô đỏ báo hiệu nếu "CẦN ĐẶT THÊM">0
	+ Thêm: cho phép sửa các báo cáo nếu đã được đăng ký bản quyền
	+ Thêm: thêm thông tin trên phiếu nhập, xuất
	+ Thêm: thêm phiếu "MUA HÀNG - NHẬP KHO"
	+ Thêm: thêm phiếu "BÁN HÀNG - XUẤT KHO"
	+ Thêm: giá vốn được tập hợp từ các khoản chi tiết trên hóa đơn "MUA HÀNG - NHẬP KHO" như: thuế TTĐB, Thuế nhập khẩu, chi phí khác
	+ Thêm: thêm thẻ kho có doanh thu và giá vốn
	+ Thêm: thêm báo cáo tổng hợp có doanh thu và giá vốn
	+ Thêm: tùy chọn chỉnh sửa định dạng, kiểu, hiện thị của biểu đồ

	+ Sửa: một vài lỗi nhỏ từ phiên bản trước

	Thông tin chi tiết tại: www.bluesofts.net

v1.0.8: 26-06-2013
	+ Sửa: biểu đồ có 2 cột xác định giá trị. Cột trái thể hiện giá trị thực xuất, nhập. Cột phải thể hiện giá trị lũy kế, kế hoạch. 
	+ Thêm: nâng cấp tùy chọn cho biểu đồ
	+ Thêm: báo cáo tồn kho, cho phép xem tổng tồn của các kho hay xem một lúc một hoặc nhiều kho.

	Thông tin chi tiết tại: www.bluesofts.net

v1.0.7: 06-06-2013
	Thông tin chi tiết tại: www.bluesofts.net

v1.0.6: 01-06-2013
	+ Thêm: chức năng lập kế hoạch cho vụ việc
	+ Thêm: chức năng lập kế hoạch cho bộ phận
	+ Thêm: biểu đồ xuất kho cho vụ việc thêm 3 đường (line): biểu thị kế hoạch, biểu thị tổng kế hoạch, lũy kế thực xuất
	+ Thêm: biểu đồ xuất kho cho bộ phận thêm 3 đường (line): biểu thị kế hoạch, biểu thị tổng kế hoạch, lũy kế thực xuất
	+ Thêm:  Nhấp chuột phải trên nền của màn hình chính người dùng cho thể chọn ảnh nền cho chương trình. 
	+ Sửa: từ mục chọn đối tường danh mục của control (điều khiển) trên form. Nếu thực hiện việc tạo, sửa, xóa đối tượng lập tức được cập nhật lại vào điều khiển.
	
	Phiên bản 1.0.6 được thực hiện theo đơn đặt hàng nâng cấp phần mềm từ nhà máy SUMITOMO của Nhật Bản.
	Thông tin chi tiết tại: www.bluesofts.net

v1.0.5: 07-01-2013
	+ Nâng cấp một số tính năng
	Thông tin chi tiết tại: www.bluesofts.net

v1.0.4: 11-12-2012
	+ Sửa một số thông tin trên thẻ kho

v1.0.3: 11-11-2012
	+ Thêm: tương thích với Windows 8, Windows Server 2012 32,64-bit.
	+ Thêm: cho phép chọn/hủy quyền theo từng nhóm lệnh. Phiên bản cũ chỉ có thể chọn/hủy toàn bộ lệnh hoặc làm riêng rẽ từng lệnh.
	+ Thêm: cho phép nhập nhiều danh mục từ CSDL bên ngoài với danh mục nhóm, hàng hóa, tồn kho, danh mục nhà cung cấp, khách hàng, nhân viên,....

v1.0.2: 01-11-2012
	+ Thêm: chức năng tìm kiếm và lọc trong các danh mục, có thể tùy chọn một cột bất kỳ hay toàn bộ các cột để tìm kiếm và lọc.
	   Chức năng lọc cho phép sử dụng các ký tự *, ? để lọc. 
		Ví dụ 1: lọc tất cả các tên hàng có từ "SEN" ta đặt chuỗi là "*SEN*".
		Ví dụ 2: lọc tất cả các tên hàng có ký tự thứ 3 là "TU", đặt chuỗi là "??TU*".
	 Lưu ý: Để thực hiện việc lọc, người dùng phải tick chọn "Lọc".
	+ Thêm: mẫu in phiếu xuất điều chuyển kho nội bộ.
	+ Thêm: Phân quyền chi tiết cho từng mã trong danh mục với từng user. Ví dụ mã "KHO 1" chỉ được sử dụng với user1 còn các user2,user3 không được sử dụng.

v1.0.1: 10-10-2012
	+ Sửa chữ bị che trong một số báo cáo khi nội dung tràn ô.
	+ Thêm "Báo cáo tổng hợp hàng hóa xuất theo bộ phận"
	+ Thêm "Báo cáo tổng hợp hàng hóa xuất theo vụ việc"

v1.0.0: 01-10-2012
	Các tính năng phần mềm được viết theo đơn đặt hàng từ Công ty SUMITOMO Nhật Bản.
	Thông tin chi tiết tại: www.bluesofts.net